orange: fix compatibility with python2

10 jobs from master in 2 minutes and 27 seconds (queued for 3 seconds)
Status Job ID Name Coverage
  Build
passed #12390
build:2.7

00:00:34

passed #12391
build:3

00:00:34

 
  Test
failed #12393
allowed to fail
lint:2.7

00:00:30

failed #12396
allowed to fail
lint:3

00:00:27

passed #12392
pyflakes:2.7

00:00:41

passed #12395
pyflakes:3

00:00:39

failed #12394
unittests:2.7

00:00:30

failed #12397
unittests:3

00:00:27

 
  Deploy
skipped #12398
doc:2.7
skipped #12399
doc:3
 
Name Stage Failure
failed
unittests:3 Test There is an unknown failure, please try again
2018-09-16 17:20:45,246:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module voyagessncf: [ImportError] This module isn't compatible with python3
2018-09-16 17:20:45,255:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module wellsfargo: [ModuleNotFoundError] No module named 'Cookie'
2018-09-16 17:20:45,276:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 17:20:45,279:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ModuleNotFoundError] No module named 'Cryptodome'
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
Errors building modules: apivie, arretsurimages, attilasub, aum, batoto, bouygues, canaltp, cappedtv, chronopost, dailymotion, dlfp, eatmanga, ehentai, europarl, fourchan, gazelle, gdcvault, gdfsuez, genericnewspaper, geolocip, happn, hds, ilmatieteenlaitos, izneo, jacquieetmichel, jvmalin, lacentrale, leclercmobile, lefigaro, liberation, mangafox, mangago, mangahere, mangareader, nettokom, newsfeed, nihonnooto, nolifetv, opacwebaloes, phpbb, presseurop, sfr, simplyreadit, tapatalk, trictractv, unsee, ups, voyagessncf, wellsfargo, youtube, zerobin
Use --debug to get more information.
ERROR: Build failed: exit code 1
failed
lint:3 Test There is an unknown failure, please try again
2018-09-16 17:20:30,370:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module voyagessncf: [ImportError] This module isn't compatible with python3
2018-09-16 17:20:30,380:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module wellsfargo: [ModuleNotFoundError] No module named 'Cookie'
2018-09-16 17:20:30,403:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 17:20:30,407:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ModuleNotFoundError] No module named 'Cryptodome'
Errors building modules: apivie, arretsurimages, attilasub, aum, batoto, bouygues, canaltp, cappedtv, chronopost, dailymotion, dlfp, eatmanga, ehentai, europarl, fourchan, gazelle, gdcvault, gdfsuez, genericnewspaper, geolocip, happn, hds, ilmatieteenlaitos, izneo, jacquieetmichel, jvmalin, lacentrale, leclercmobile, lefigaro, liberation, mangafox, mangago, mangahere, mangareader, nettokom, newsfeed, nihonnooto, nolifetv, opacwebaloes, phpbb, presseurop, sfr, simplyreadit, tapatalk, trictractv, unsee, ups, voyagessncf, wellsfargo, youtube, zerobin
Use --debug to get more information.
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
ERROR: Build failed: exit code 1
failed
unittests:2.7 Test There is an unknown failure, please try again
2018-09-16 17:19:58,151:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module phpbb: [ImportError] Please install python-feedparser
2018-09-16 17:19:58,171:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module presseurop: [ImportError] Please install python-feedparser
2018-09-16 17:20:00,240:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 17:20:00,242:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ImportError] No module named Cryptodome.Cipher
Errors building modules: genericnewspaper, presseurop, bouygues, dlfp, happn, youtube, liberation, zerobin, newsfeed, phpbb, lefigaro
Use --debug to get more information.
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
ERROR: Build failed: exit code 1
failed
lint:2.7 Test There is an unknown failure, please try again
2018-09-16 17:19:25,057:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module phpbb: [ImportError] Please install python-feedparser
2018-09-16 17:19:25,091:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module presseurop: [ImportError] Please install python-feedparser
2018-09-16 17:19:25,320:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module youtube: [ImportError] Please install python-googleapi
2018-09-16 17:19:25,322:WARNING:repository:1.4:repositories.py:304:build_index Unable to build module zerobin: [ImportError] No module named Cryptodome.Cipher
Errors building modules: genericnewspaper, presseurop, bouygues, dlfp, happn, youtube, liberation, zerobin, newsfeed, phpbb, lefigaro
Use --debug to get more information.
=== [ 0%] Getting file:///builds/weboob/devel/modules
=== [100%] All modules are up-to-date.
ERROR: Build failed: exit code 1